#!/bin/sh
# -----------------------------
# Export of workflow: batch
# -----------------------------

# This workflow was created with ProFiDo


# Before the workflow can be used, this script sets up the environment.

# First, all folders are set.
export SOFTWARESOURCE="${HOME}/ProFiDo/software"
export TARGETDIR="/home/gerloff/Desktop/Neue Exporte/1.1"


# If no parameter was passed, remove old Folders
if [ -z "$1" ]; then 
		rm -f -R ${TARGETDIR}/Results/
		rm -f -R ${TARGETDIR}/Software/
fi


# Creater Folders
mkdir "${TARGETDIR}/Results/"
mkdir "${TARGETDIR}/Software/"
mkdir "${TARGETDIR}/Test/"

# Copy Software
cp -R "${SOFTWARESOURCE}/momfit" "${TARGETDIR}/Software/momfit"
cp -R "${SOFTWARESOURCE}/jmomfit" "${TARGETDIR}/Software/jmomfit"
cp -R "${SOFTWARESOURCE}/acfit" "${TARGETDIR}/Software/acfit"
cp -R "${SOFTWARESOURCE}/Plot" "${TARGETDIR}/Software/Plot"
cp -R "${SOFTWARESOURCE}/Plot" "${TARGETDIR}/Software/Plot"
cp -R "${SOFTWARESOURCE}/scripts" "${TARGETDIR}/Software"
